import { IConstruct } from 'constructs';
export declare abstract class BaseVisitor<T extends IConstruct, S> {
    protected readonly settings?: S | undefined;
    constructor(settings?: S | undefined);
    /**
     * Checks if this visitor can handle the given construct
     */
    abstract canVisit(node: IConstruct): node is T;
    /**
     * Apply compliance settings to the construct
     */
    abstract visit(node: T): void;
}
